/**********************************************************************/
/* limits.h v1.10                                                     */
/* Copyright (c) 1992,1995 Texas Instruments Incorporated             */
/**********************************************************************/

#define CHAR_BIT                 8    /* NUMBER OF BITS IN TYPE CHAR  */
#define SCHAR_MAX              127    /* MAX VALUE FOR SIGNED CHAR    */
#define SCHAR_MIN      (-SCHAR_MAX-1) /* MIN VALUE FOR SIGNED CHAR    */
#define UCHAR_MAX              255    /* MAX VALUE FOR UNSIGNED CHAR  */

#if _TMS37016_signed_chars
#define CHAR_MAX         SCHAR_MAX    /* MAX VALUE FOR CHAR           */
#define CHAR_MIN       (-SCHAR_MAX-1) /* MIN VALUE FOR CHAR           */
#else
#define CHAR_MAX         UCHAR_MAX    /* MAX VALUE FOR CHAR           */
#define CHAR_MIN         0            /* MIN VALUE FOR CHAR           */
#endif

#define MB_LEN_MAX               1    /* MAX # BYTES IN MULTI-BYTE    */
 
#define SHRT_MAX             32767    /* MAX VALUE FOR SHORT          */
#define SHRT_MIN        (-SHRT_MAX-1) /* MIN VALUE FOR SHORT          */
#define USHRT_MAX            65535u   /* MAX VALUE FOR UNSIGNED SHORT */

#define INT_MAX              32767    /* MAX VALUE FOR INT            */
#define INT_MIN         (-INT_MAX-1)  /* MIN VALUE FOR INT            */
#define UINT_MAX             65535u   /* MAX VALUE FOR UNSIGNED INT   */

#define LONG_MAX        2147483647    /* MAX VALUE FOR LONG           */
#define LONG_MIN        (-LONG_MAX-1) /* MIN VALUE FOR LONG           */
#define ULONG_MAX       4294967295    /* MAX VALUE FOR UNSIGNED LONG  */

