;--------------------------------------------------------------------------
;
; Demoprogram to convert two analog voltages with the A/D-Converter
;
                .global AD_Init
                .global AD_Read
;
; A/D register definitions
;
ADCR            .equ    .....h
ADSR            .equ    .....h
ADEVTR          .equ    .....h
ADISR0          .equ    .....h
ADISR1          .equ    .....h
ADCDR0          .equ    .....h
ADCDR1          .equ    .....h
ADCDR2          .equ    .....h
ADCDR3          .equ    .....h
ADCDR4          .equ    .....h
ADCDR5          .equ    .....h
ADCDR6          .equ    .....h
ADCDR7          .equ    .....h
;
;--------------------------------------------------------------------------
;
; AD_Init
;       Initialization of A/D-Converter
;
AD_Init:
                movb    #..h,&ADCR              ; interrupts disabled
                                                ; prescaler = 32
                movb    #..h,&ADEVTR            ; Disable event conversion
                movb    #..h,&ADISR0            ; select group 0
                                                ; signed mode
                                                ; single conversion mode
                rts
;
;--------------------------------------------------------------------------
;
; AD_Read
;       Conversion and storage of the two values
;
;       OUT: R2 - Converted value
;
;
AD_Read:
                ...                             ; start conversion
wait:           ...                             ; conversion completed?
                mov     &......,r2              ; store AD-value 1
                rts

