/****************************************************************************/
/* COMMAND FILE FOR LINKING TMS370/16 C PROGRAMS                            */
/*									    */
/* DEVICE:	C16EB							    */
/****************************************************************************/
/*-c	*/				/* LINK USING C CONVENTIONS         */
-stack 0x100				/* 640 BYTES STACK SIZE             */
-heap 0x50				/* 80 BYTES HEAP SIZE               */
/* -l rts.lib                               LIBRARY FILE                    */
-o led.out
-m led.map

/* SPECIFY THE SYSTEM MEMORY MAP  */

MEMORY
{
  DATA : origin = 02000h, length = 00280h  	/* DATA MEMORY    (RAM) */
  /* VAR  : origin = 02800h, length = 00180h       VARIABLE (RAM)       */
  STACK: origin = 023FEh, length = 00100h 	/* STACK AREA           */
  INT  : origin = 08000h, length = 00040h 	/* INTERRUPT VECTORS    */
  CODE : origin = 08100h, length = 0BEFFh 	/* PROGRAM MEMORY (ROM) */
}

/* SPECIFY THE SECTIONS ALLOCATION INTO MEMORY */

SECTIONS
{
  .text    :  > CODE			/* CODE                             */
  .cinit   :  > CODE 			/* INITIALIZATION TABLES            */
  .const   :  > CODE 			/* CONSTANTS AND SWITCH TABLES      */
  .data    :  > DATA 			/* OTHER DATA (NOT USED BY COMPILER)*/
  .bss     :  > DATA 			/* VARIABLES                        */
  .heap    :  > DATA 			/* DYNAMIC MEMORY POOL              */
  .stack   :  > STACK 			/* SYSTEM STACK                     */
  .intvecs :  > INT                     /* INTERRUPT VECTORS                */
}
